Subject: bug#47784: 27.2: ses-header-row [PATCH INCLUDED]

From: Boruch Baum <[email-masked]>
Date: Thu, 6 May 2021 06:16:15 -0400

On 2021-05-06 10:17, Lars Ingebrigtsen wrote:
> Boruch Baum <[email-masked]> writes:
>
> >> So I fixed that up, but I've seen that in other patches -- could you
> >> have a look and see what's causing this mixture of tab and spaces?
> >
> > I could use a suggestion to automate that workflow: I never use tabs,
> > but often find myself editing files that have them. As soon as it gets
> > annoying, I remember to perform untabify on the buffer, but there's
> > probably an accepted automated method to respect the tab/space
> > preferences of everyone.
>
> With the default Emacs settings, you should never end up with a space
> before a tab -- have you perhaps customised what the TAB key does here?
> In general, the default TAB function tries to respect the indentation
> style.  (But it'll never insert a space before a tab.)

But I don't ever want a tab, ever, in any document that I work on, ever.
If tabs are needed in order to be compatible with upstream then I'd want
emacs to untabify on read and tabify on export.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0